Name:           python-humanize
Version:        0.5.1
Release:        17
Summary:        python humanize module
License:        MIT
URL:            https://github.com/jmoiron/humanize
Source0:        https://pypi.python.org/packages/source/h/humanize/humanize-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-tools

%description
Python module that includes various common humanization utilities.

%package -n python3-humanize
Summary:        python3 humanize module

%description -n python3-humanize
Python3 module that includes various common humanization utilities.

%prep
%autosetup -p1 -n humanize-%{version}
for lib in humanize/time.py humanize/filesize.py humanize/number.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new && mv $lib.new $lib
done
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
LANG=en_US.UTF-8 /usr/bin/python3 setup.py build
popd

%install
pushd %{py3dir}
LANG=en_US.UTF-8 /usr/bin/python3 setup.py install --skip-build --root %{buildroot}
%find_lang humanize
popd

%check
%if %{?_with_check:1}%{!?_with_check:0}
pushd %{py3dir}
LANG=en_US.UTF-8 /usr/bin/python3 setup.py test
popd
%endif

%files -n python3-humanize -f %{py3dir}/humanize.lang
%doc README.rst LICENCE
%dir %{python3_sitelib}/humanize
%{python3_sitelib}/humanize/*.py
%{python3_sitelib}/humanize/__pycache__
%{python3_sitelib}/humanize-%{version}-py%{python3_version}.egg-info
%exclude %{_usr}/lib/python*/site-packages/humanize/locale/*/LC_MESSAGES/*.po

%changelog
* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.5.1-17
- rename python2 subpackage

* Sun Mar 22 2020 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-16
- disable make check

* Thu Dec 19 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 0.5.1-15
- package init
